<?php
/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 16/7/22
 * Time: 下午3:41
 */

defined('InShopNC') or exit('Access Invalid!');

class bonus_ranklistModel extends Model
{
    public function __construct() {
        parent::__construct('bonus_ranklist');
    }
    public function getRanklist($cond,$field = '*',$order = '') {
        return $this->field($field)->where($cond)->order($order)->limit(false)->select();
    }

    public function getByListSn($list_sn) {
        return $this->where(array('list_sn' => $list_sn))->find();
    }

    public function edit($cond,$data)
    {
        return $this->where($cond)->update($data);
    }
}
